From: "Jeroen Roovers" <jer@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: x11-misc/i3lock/, x11-misc/i3lock/files/
Date: Sat, 25 Jan 2020 10:48:14 +0000 (UTC) [thread overview]
Message-ID: <1579949287.09411e9512455df329ebd9fee8d1fd1b709d124e.jer@gentoo> (raw)
commit: 09411e9512455df329ebd9fee8d1fd1b709d124e
Author: Jeroen Roovers <jer <AT> gentoo <DOT> org>
AuthorDate: Sat Jan 25 10:35:25 2020 +0000
Commit: Jeroen Roovers <jer <AT> gentoo <DOT> org>
CommitDate: Sat Jan 25 10:48:07 2020 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=09411e95
x11-misc/i3lock: Fix compiling with -fno-common
Package-Manager: Portage-2.3.85, Repoman-2.3.20
Closes: https://bugs.gentoo.org/706286
Signed-off-by: Jeroen Roovers <jer <AT> gentoo.org>
x11-misc/i3lock/files/i3lock-2.12-fno-common.patch | 11 +++++
x11-misc/i3lock/i3lock-2.12-r2.ebuild | 47 ++++++++++++++++++++++
2 files changed, 58 insertions(+)
diff --git a/x11-misc/i3lock/files/i3lock-2.12-fno-common.patch b/x11-misc/i3lock/files/i3lock-2.12-fno-common.patch
new file mode 100644
index 00000000000..09003b16591
--- /dev/null
+++ b/x11-misc/i3lock/files/i3lock-2.12-fno-common.patch
@@ -0,0 +1,11 @@
+--- a/unlock_indicator.c
++++ b/unlock_indicator.c
+@@ -35,7 +35,7 @@
+
+ /* The current position in the input buffer. Useful to determine if any
+ * characters of the password have already been entered or not. */
+-int input_position;
++extern int input_position;
+
+ /* The lock window. */
+ extern xcb_window_t win;
diff --git a/x11-misc/i3lock/i3lock-2.12-r2.ebuild b/x11-misc/i3lock/i3lock-2.12-r2.ebuild
new file mode 100644
index 00000000000..07a68eb55c2
--- /dev/null
+++ b/x11-misc/i3lock/i3lock-2.12-r2.ebuild
@@ -0,0 +1,47 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+inherit toolchain-funcs
+
+DESCRIPTION="Simple screen locker"
+HOMEPAGE="https://i3wm.org/i3lock/"
+SRC_URI="https://i3wm.org/${PN}/${P}.tar.bz2"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~x86"
+
+RDEPEND="
+ >=x11-libs/libxkbcommon-0.5.0[X]
+ dev-libs/libev
+ sys-libs/pam
+ x11-libs/cairo[X,xcb(+)]
+ x11-libs/libxcb[xkb]
+ x11-libs/xcb-util
+ x11-libs/xcb-util-xrm
+"
+DEPEND="
+ ${RDEPEND}
+ virtual/pkgconfig
+"
+DOCS=( CHANGELOG README.md )
+PATCHES=(
+ "${FILESDIR}"/${PN}-2.12-fno-common.patch
+)
+
+src_prepare() {
+ default
+
+ sed -i -e 's:login:system-auth:g' pam/${PN} || die
+}
+
+src_configure() {
+ tc-export CC
+ default
+}
+
+src_install() {
+ default
+ doman ${PN}.1
+}
reply other threads:[~2020-01-25 10:48 UTC|newest]
Thread overview: [no followups] expand[flat|nested] mbox.gz Atom feed
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1579949287.09411e9512455df329ebd9fee8d1fd1b709d124e.jer@gentoo \
--to=jer@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox